%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name kubernetes
%define version 10.1.0
%define unmangled_version 10.1.0
%define unmangled_version 10.1.0
%define release 1

Summary: Kubernetes python client
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}kubernetes
Version: %{version}
Release: %{release}
Source0: kubernetes-%{unmangled_version}.tar.gz
License: Apache License Version 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/kubernetes-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Kubernetes <UNKNOWN>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/kubernetes-client/python


%description
    Python client for kubernetes http://kubernetes.io/
    


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n kubernetes-%{unmangled_version} -n kubernetes-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
